Loading...
Searching...
No Matches
slipif.c File Reference
`#include "netif/slipif.h"`
`#include "lwip/opt.h"`
`#include "lwip/def.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/stats.h"`
`#include "lwip/snmp.h"`
`#include "lwip/sys.h"`
`#include "lwip/sio.h"`

## Macros

#define | SLIP_MAX_SIZE 1500
#define | SLIP_SIO_SPEED(sio_fd)

## Functions

err_t | slipif_init (struct netif *netif)
void | slipif_poll (struct netif *netif)
void | slipif_process_rxqueue (struct netif *netif)
void | slipif_received_byte (struct netif *netif, u8_t data)
void | slipif_received_bytes (struct netif *netif, u8_t *data, u8_t len)

## Detailed Description

SLIP Interface

## Macro Definition Documentation

## SLIP_MAX_SIZE

#define SLIP_MAX_SIZE 1500

Maximum packet size that is received by this netif

## SLIP_SIO_SPEED

#define SLIP_SIO_SPEED | ( |  | sio_fd | ) |

Value:
0

Define this to the interface speed for SNMP (sio_fd is the sio_fd_t returned by sio_open). The default value of zero means 'unknown'.